> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Crypto Onramp Status

> This endpoint will be used to get the status of the transaction

This endpoint will be used to get the status of the crypto onramp transaction.


## OpenAPI

````yaml GET /api/v3/onramp/crypto/{referenceId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.io
    description: Sandbox
security: []
tags: []
paths:
  /api/v3/onramp/crypto/{referenceId}:
    get:
      tags:
        - ONRAMP
      summary: Get Status Response
      description: This endpoint will be used to get the status of the transaction
      operationId: OnrampController_getOnrampCrypto_api/v3
      parameters:
        - name: referenceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Onramp crypto status successfully retrieved.
                  data:
                    type: object
                    example: {}
                    additionalProperties:
                      type: object
                      required:
                        - status
                      properties:
                        status:
                          type: string
                      additionalProperties: true
                    nullable: true
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Not Found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````